/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package nl.cloudfarming.client.planning.tactical.wizard;

import java.util.Date;
import nl.cloudfarming.client.model.Operation;
import nl.cloudfarming.client.planning.wizard.PlanningWizardAction;
import org.openide.WizardDescriptor;

/**
 *
 * @author Timon Veenstra
 */
public class PlanningWizardProperties {
    
    private static final String PROP_PLAN_DATE = "plandate";
    private static final String PROP_ACTION = "action";
    private static final String PROP_OPERATION = "operation";
    
    public static Date getPlanDate(WizardDescriptor descriptor){
        return (Date) descriptor.getProperty(PROP_PLAN_DATE);
    }
    
    public static void setPlanDate(Date planDate, WizardDescriptor descriptor){
        descriptor.getProperties().put(PROP_PLAN_DATE, planDate);
    }
    
    public static PlanningWizardAction getAction(WizardDescriptor descriptor){
        return (PlanningWizardAction) descriptor.getProperty(PROP_ACTION);
    }
    
    public static void setAction(PlanningWizardAction action, WizardDescriptor descriptor){
        descriptor.getProperties().put(PROP_ACTION, action);
    }
    
    public static Operation getOperation(WizardDescriptor descriptor){
        return (Operation) descriptor.getProperty(PROP_OPERATION);
    }
    
    public static void setOperation(Operation operation, WizardDescriptor descriptor){
        descriptor.getProperties().put(PROP_OPERATION, operation);
    }      
}
