/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.planning.tactical.wizard.spray;

import java.util.List;
import nl.cloudfarming.client.model.Operation;
import nl.cloudfarming.client.model.Remedy;
import nl.cloudfarming.client.model.RemedyAppliance;
import nl.cloudfarming.client.planning.tactical.wizard.PlanningWizardProperties;
import org.openide.WizardDescriptor;

/**
 *
 * @author Timon Veenstra
 */
public class SprayWizardProperties extends PlanningWizardProperties {

    private static final String PROP_REMEDY_APPLIANCES = "appliances";
    private static final String PROP_REMEDIES = "protections"; 

    static List<RemedyAppliance> getRemedyAppliances(WizardDescriptor descriptor) {
        return (List<RemedyAppliance>) descriptor.getProperty(PROP_REMEDY_APPLIANCES);
    }

    static void setRemedyAppliances(List<RemedyAppliance> tasks,WizardDescriptor descriptor) {
        descriptor.getProperties().put(PROP_REMEDY_APPLIANCES, tasks);
    }

    static List<Remedy> getRemedies(WizardDescriptor descriptor) {
        return (List<Remedy>) descriptor.getProperty(PROP_REMEDIES);
    }

    static void setRemedies(List<Remedy> protections,WizardDescriptor descriptor) {
        descriptor.getProperties().put(PROP_REMEDIES, protections);
    }
}
